Page MenuHomePhabricator

Clarification on mobile editing stats
Closed, ResolvedPublic

Description

I have a few follow-up questions about the mobile editing stats that Neil gave us in October.

Re: Drop-off along the edit funnel

  • We've been talking about making a better loading screen, but if the initial drop-off for VE on mobile is smaller than desktop, then maybe optimizing the loading experience isn't a huge priority. Am I understanding that right?
  • What do you think accounts for the huge drop for wikitext on desktop? I can understand people dropping after the page loads, and they see scary-looking wikitext, but I think this means dropping out before the wikitext even loads.
  • Why is the desktop wikitext percentage higher for ready than loaded?

Re: Edit completion rate

I edited the text of the Edit completion rate section, based on our conversation the other day. Can you take a look at my text, to make sure I understand it correctly?

The way I understand it now, IP editors have a huge drop-off rate on mobile -- they get the wikitext editor, and only 1.5% complete their edit. More savvy IP editors who switch to VE have 11.4% completion.

But for all logged-in users on mobile, wikitext has a better completion rate than VE, which shows that there's a lot of work to do on mobile VE, and that's our goal for this project. Is that right?

Event Timeline

DannyH created this task.Nov 27 2018, 11:01 PM
Esanders updated the task description. (Show Details)Nov 28 2018, 2:51 PM

but if the initial drop-off for VE on mobile is smaller than desktop, then maybe optimizing the loading experience isn't a huge priority

Maybe, but the current users of mobile VE are a very small self-selecting group, so they are likely to have a higher patience threshold.

What do you think accounts for the huge drop for wikitext on desktop?

I filed this very question as T209995 the other week, at the moment we don't know.

Why is the desktop wikitext percentage higher for ready than loaded?

Desktop wikitext includes the 2017 editor, which is the only editor that treats 'loaded' and 'ready' differently. 'loaded' is when the temporary fake editor is show, while the rest of the code is still loading, 'ready' is when the code is finished loading and the toolbar is visible. The small number of people closing between these two events account for the slight difference.

I edited the text of the Edit completion rate section, based on our conversation the other day. Can you take a look at my text, to make sure I understand it correctly?

That summary looks correct to me.

But for all logged-in users on mobile, wikitext has a better completion rate than VE, which shows that there's a lot of work to do on mobile VE, and that's our goal for this project. Is that right?

Yes - those are the numbers we want to go up, although they may go down as a result of making the editor available to more users.

but if the initial drop-off for VE on mobile is smaller than desktop, then maybe optimizing the loading experience isn't a huge priority

Maybe, but the current users of mobile VE are a very small self-selecting group, so they are likely to have a higher patience threshold.

I think this brings up a really important point that we will need to get new baseline data for measurement if we make VE opt-out on mobile on some projects. It's also a good reason to lean heavily on some of the qualitative work that @iamjessklein has done to understand the experience from the perspective of new users who rarely opt-in to VE in the current interface.

I edited the text of the Edit completion rate section, based on our conversation the other day. Can you take a look at my text, to make sure I understand it correctly?

That summary looks correct to me.

+1

But for all logged-in users on mobile, wikitext has a better completion rate than VE, which shows that there's a lot of work to do on mobile VE, and that's our goal for this project. Is that right?

Yes - those are the numbers we want to go up, although they may go down as a result of making the editor available to more users.

Yes! We've also discussed targeting newer users, although I think those discussions have been more based on time spent editing (if I recall, there was some discussion of < 6 months) rather than number of edits.

Neil_P._Quinn_WMF moved this task from Triage to Doing on the Product-Analytics board.
Neil_P._Quinn_WMF closed this task as Resolved.Dec 13 2018, 2:24 AM